MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0029138Open CASCADE[OCCT] OCCT:Visualizationpublic2017-09-25 15:252018-06-29 21:19
Reporterkgv 
Assigned Tobugmaster 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
PlatformWindowsOSVC++ 2015OS Version64 bit
Product Version[OCCT] 7.2.0 
Target Version[OCCT] 7.3.0Fixed in Version[OCCT] 7.3.0 
Summary0029138: Visualization - D3DHost_FrameBuffer should provide software fallback when WGL_NV_DX_interop is unavailable
DescriptionD3DHost_FrameBuffer fails if WGL_NV_DX_interop which disallows using application based on TKD3DHost in corner cases.
Steps To ReproduceN/A
TagsNo tags attached.
Test case numberNot required
Attached Files

- Relationships
related to 0029137closedbugmaster Open CASCADE Visualization - D3DHost_FrameBuffer does not release Depth texture and FBO index 
related to 0029147closedbugmaster Open CASCADE Visualization - D3DHost_FrameBuffer::BindBuffer() fails on some Intel drivers 
related to 0029148closedbugmaster Open CASCADE C# wrapper, WPF sample - allow using software fallback on .NET 4.5+ 

-  Notes
(0070824)
git (administrator)
2017-09-25 15:54

Branch CR29138 has been created by kgv.

SHA-1: 3c8eac93cc3f9b8e0d63df4ef5d10ba8c14dc003


Detailed log of new commits:

Author: kgv
Date: Mon Sep 25 15:54:45 2017 +0300

    0029138: Visualization - D3DHost_FrameBuffer should provide software fallback when WGL_NV_DX_interop is unavailable
    
    D3DHost_FrameBuffer now provides fallback code copying OpenGL FBO content into D3D surface (slow).
(0070825)
git (administrator)
2017-09-25 16:02

Branch CR29138 has been updated forcibly by kgv.

SHA-1: 34e79d1b724455c5a9660677bcde57872f63fc23
(0070831)
git (administrator)
2017-09-25 18:08

Branch CR29138 has been updated forcibly by kgv.

SHA-1: bcb11cb68cfdb141d5abd76a4653a9efddc46691
(0070834)
git (administrator)
2017-09-26 08:39

Branch CR29138 has been updated forcibly by kgv.

SHA-1: b7e57dee96f584942b1e38ce3d2c63829b947a6f
(0070838)
git (administrator)
2017-09-26 09:16

Branch CR29138 has been updated forcibly by kgv.

SHA-1: c4675a54757059845a980ef68948cebdf89e75d5
(0070839)
git (administrator)
2017-09-26 09:21

Branch CR29138 has been updated forcibly by kgv.

SHA-1: 3ada823b4f91694f131917d892f7f50d126a5202
(0070842)
git (administrator)
2017-09-26 10:07

Branch CR29138 has been updated forcibly by kgv.

SHA-1: 87d79eb9452c346c0792f8062c4eb7302e4b8e79
(0070852)
kgv (developer)
2017-09-26 12:19

Patch is ready for review.

http://jenkins-test-10.nnov.opencascade.com/view/CR29138-master-KGV/ [^]
(0071130)
san (developer)
2017-10-02 23:29

Branch CR29138 reviewed without remarks, ready for testing.
(0071139)
bugmaster (administrator)
2017-10-03 09:56

Combination -
OCCT branch : CR29138 SHA-1: 87d79eb9452c346c0792f8062c4eb7302e4b8e79
Products branch : master
was compiled on Linux, MacOS and Windows platforms and tested on optimize mode.

http://jenkins-test-10.nnov.opencascade.com/view/CR29138-master-KGV [^]

Number of compiler warnings:
No new/fixed warnings

Regressions/Differences/Improvements:
No regressions/differences

CPU differences:
No differences that require special attention

Image differences :
No differences that require special attention

Memory differences :
No differences that require special attention
(0071462)
git (administrator)
2017-10-14 12:19

Branch CR29138 has been deleted by kgv.

SHA-1: 87d79eb9452c346c0792f8062c4eb7302e4b8e79

- Related Changesets
occt: master 6cde53c4
Timestamp: 2017-09-25 12:54:45
Author: kgv
Committer: bugmaster
Details ] Diff ]
0029138: Visualization - D3DHost_FrameBuffer should provide software fallback when WGL_NV_DX_interop is unavailable

D3DHost_FrameBuffer now provides fallback code copying OpenGL FBO content into D3D surface (slow).
OpenGl_FrameBuffer::BufferDump() - FBO dump implementation has been moved from OpenGl_Workspace::BufferDump().
mod - adm/genconf.tcl Diff ] File ]
mod - src/D3DHost/D3DHost_FrameBuffer.cxx Diff ] File ]
mod - src/D3DHost/D3DHost_FrameBuffer.hxx Diff ] File ]
mod - src/D3DHost/D3DHost_GraphicDriver.cxx Diff ] File ]
mod - src/D3DHost/D3DHost_View.cxx Diff ] File ]
mod - src/D3DHost/D3DHost_View.hxx Diff ] File ]
mod - src/OpenGl/OpenGl_Context.cxx Diff ] File ]
mod - src/OpenGl/OpenGl_FrameBuffer.cxx Diff ] File ]
mod - src/OpenGl/OpenGl_FrameBuffer.hxx Diff ] File ]
mod - src/OpenGl/OpenGl_GlFunctions.hxx Diff ] File ]
mod - src/OpenGl/OpenGl_View_Redraw.cxx Diff ] File ]
mod - src/OpenGl/OpenGl_Window.cxx Diff ] File ]
mod - src/OpenGl/OpenGl_Workspace.cxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2017-09-25 15:25 kgv New Issue
2017-09-25 15:25 kgv Assigned To => kgv
2017-09-25 15:25 kgv Relationship added related to 0029137
2017-09-25 15:54 git Note Added: 0070824
2017-09-25 16:02 git Note Added: 0070825
2017-09-25 18:08 git Note Added: 0070831
2017-09-26 08:39 git Note Added: 0070834
2017-09-26 08:43 kgv Relationship added related to 0027147
2017-09-26 09:16 git Note Added: 0070838
2017-09-26 09:21 git Note Added: 0070839
2017-09-26 10:07 git Note Added: 0070842
2017-09-26 12:19 kgv Note Added: 0070852
2017-09-26 12:19 kgv Assigned To kgv => san
2017-09-26 12:19 kgv Status new => resolved
2017-09-26 17:39 kgv Relationship added related to 0029147
2017-09-26 19:52 kgv Relationship added related to 0029148
2017-10-02 23:29 san Note Added: 0071130
2017-10-02 23:29 san Assigned To san => bugmaster
2017-10-02 23:29 san Status resolved => reviewed
2017-10-03 09:56 bugmaster Note Added: 0071139
2017-10-03 09:56 bugmaster Status reviewed => tested
2017-10-03 18:28 bugmaster Test case number => Not required
2017-10-06 14:55 bugmaster Changeset attached => occt master 6cde53c4
2017-10-06 14:55 bugmaster Status tested => verified
2017-10-06 14:55 bugmaster Resolution open => fixed
2017-10-14 12:19 git Note Added: 0071462
2018-06-29 21:15 user533 Fixed in Version => 7.3.0
2018-06-29 21:19 user533 Status verified => closed


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker